# Web Cloud › Internet › Access › Order & Installation API

> Part of the OVHcloud developer hub. Index of every page and section: https://developers.eu.ovhcloud.com/llms.txt
> The Web Cloud product's sections: https://developers.eu.ovhcloud.com/reference/web-cloud/llms.txt
> Everything in one file: https://developers.eu.ovhcloud.com/llms-full.txt

> 9 operations of the OVHcloud API. Calls carry `authorization: Bearer $OVH_TOKEN`; the EU host is shown, Canada and the United States answer on api.ca.ovhcloud.com and api.us.ovhcloud.com.

Page: https://developers.eu.ovhcloud.com/reference/web-cloud/internet/access/order-installation/

OpenAPI v1: https://api.eu.ovhcloud.com/1.0/__schemas/developer-hub-navigation/web-cloud/internet/access/order-installation.json?format=openapi3
OpenAPI v2: https://api.eu.ovhcloud.com/v2/__schemas/developer-hub-navigation/web-cloud/internet/access/order-installation.json?format=openapi3

## Operations

- `GET /xdsl/{serviceName}/addressMove/extraIpRange` — Get the extra IP range move of an xDSL access
- `POST /xdsl/{serviceName}/addressMove/extraIpRangeMove` — Move the extra IP range of an xDSL access
- `GET /xdsl/{serviceName}/fiberEligibilities` — List the fiber eligibilities of an xDSL access
- `GET /xdsl/{serviceName}/fiberEligibilities/{id}` — Get a fiber eligibility of an xDSL access
- `GET /xdsl/{serviceName}/orderFollowup` — Get the status of the order of this access
- `POST /xdsl/{serviceName}/orderMeeting` — Book an installation meeting
- `POST /xdsl/{serviceName}/searchOrderMeetings` — Search the installation meeting slots of an order
- `POST /xdsl/{serviceName}/sendOrderToProvider` — Unlock an order waiting for the customer
- `POST /xdsl/{serviceName}/updateInvalidOrMissingRio` — Update the RIO of an order

## Get the extra IP range move of an xDSL access

`GET /1.0/xdsl/{serviceName}/addressMove/extraIpRange`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/internet/access/order-installation/#get-xdsl-servicename-addressmove-extraiprange

**Status:** Stable production version  
**IAM actions:** `xdsl:apiovh:addressMove/extraIpRange/get`

Returns the extra IP range of the access, the access it will be moved to and the date of the move.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | string | yes | Service name |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | xdsl.ExtraIpRangeMove | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `date` | string (date-time) | read-only | Date of the migration |
| `ipRange` | ipv4Block | read-only | IPv4 CIDR notation (e.g., 192.0.2.0/24) |
| `moveTo` | string | read-only | Access where the IP range will be moved to |

```json
{
  "date": "2024-01-01T12:00:00Z",
  "ipRange": "192.0.2.0/24",
  "moveTo": "string"
}
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/addressMove/extraIpRange" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/xdsl/{serviceName}/addressMove/extraIpRange")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/xdsl/{serviceName}/addressMove/extraIpRange");

print_r($result);
?>
```

## Move the extra IP range of an xDSL access

`POST /1.0/xdsl/{serviceName}/addressMove/extraIpRangeMove`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/internet/access/order-installation/#post-xdsl-servicename-addressmove-extraiprangemove

**Status:** Stable production version  
**IAM actions:** `xdsl:apiovh:addressMove/extraIpRangeMove`

Starts the move of the extra IP range of the access to its new access after an address move. Returns the task that performs the change.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | string | yes | Service name |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | xdsl.Task | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `doneDate` | string (date-time) | read-only | Date when the action was completed |
| `function` | string | read-only |  |
| `id` | integer | read-only |  |
| `isArchived` | boolean | read-only |  |
| `status` | xdsl.TaskStatusEnum | read-only | Status of a task. — one of `cancelled`, `doing`, `done`, `error`, `problem`, `todo` |
| `todoDate` | string (date-time) | read-only | Date when the action will start |
| `updateDate` | string (date-time) | read-only |  |

```json
{
  "doneDate": "2024-01-01T12:00:00Z",
  "function": "string",
  "id": 0,
  "isArchived": true,
  "status": "cancelled",
  "todoDate": "2024-01-01T12:00:00Z",
  "updateDate": "2024-01-01T12:00:00Z"
}
```

### Example

```bash
curl -X POST \
  "https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/addressMove/extraIpRangeMove" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.post("/xdsl/{serviceName}/addressMove/extraIpRangeMove")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->post("/xdsl/{serviceName}/addressMove/extraIpRangeMove");

print_r($result);
?>
```

## List the fiber eligibilities of an xDSL access

`GET /1.0/xdsl/{serviceName}/fiberEligibilities`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/internet/access/order-installation/#get-xdsl-servicename-fibereligibilities

**Status:** Stable production version  
**IAM actions:** `xdsl:apiovh:fiberEligibilities/get`

Returns the IDs of the fiber eligibility checks of the access address. Filter by status: eligible, not_eligible, not_yet_eligible or no_building.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | string | yes | Service name |
| `status` | query | xdsl.FiberEligibilityStatusEnum |  | Filter the value of status property (=) — one of `eligible`, `no_building`, `not_eligible`, `not_yet_eligible` |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | integer[] | successful operation |

```json
[
  0
]
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/fiberEligibilities" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/xdsl/{serviceName}/fiberEligibilities")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/xdsl/{serviceName}/fiberEligibilities");

print_r($result);
?>
```

## Get a fiber eligibility of an xDSL access

`GET /1.0/xdsl/{serviceName}/fiberEligibilities/{id}`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/internet/access/order-installation/#get-xdsl-servicename-fibereligibilities-id

**Status:** Stable production version  
**IAM actions:** `xdsl:apiovh:fiberEligibilities/get`

Returns the fiber offer, provider, status, building and availability date of the access address, and the copper network closure schedule.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | integer | yes | Id |
| `serviceName` | path | string | yes | Service name |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | xdsl.FiberEligibility | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `availabilityDate` | string (date-time) | read-only | Availability date |
| `buildingName` | string | read-only | Building name |
| `buildingReference` | string | read-only | Building reference |
| `buildingSeqId` | integer | read-only | Building sequence id |
| `copperGridClosureTrajectory` | xdsl.CopperGridClosureTrajectory | read-only | Copper grid closure trajectory |
| `copperGridClosureTrajectory.commercialClosureAnnouncementDate` | string (date) | read-only | Commercial closure announcement date |
| `copperGridClosureTrajectory.commercialClosureDate` | string (date) | read-only | Commercial closure date |
| `copperGridClosureTrajectory.commercialClosureInitialDate` | string (date) | read-only | Commercial closure initial date |
| `copperGridClosureTrajectory.departmentCode` | string | read-only | Department code |
| `copperGridClosureTrajectory.departmentName` | string | read-only | Department name |
| `copperGridClosureTrajectory.ftthZone` | string | read-only | FTTH zone |
| `copperGridClosureTrajectory.inseeCode` | string | read-only | INSEE code |
| `copperGridClosureTrajectory.lot` | string | read-only | Lot |
| `copperGridClosureTrajectory.municipalityName` | string | read-only | Municipality name |
| `copperGridClosureTrajectory.oiCode` | string | read-only | OI code |
| `copperGridClosureTrajectory.oiName` | string | read-only | OI name |
| `copperGridClosureTrajectory.technicalClosureAnnouncementDate` | string (date) | read-only | Technical closure announcement date |
| `copperGridClosureTrajectory.technicalClosureDate` | string (date) | read-only | Technical closure date |
| `copperGridClosureTrajectory.technicalClosureInitialDate` | string (date) | read-only | Technical closure initial date |
| `copperNraClosureTrajectory` | xdsl.CopperNraClosureTrajectory | read-only | Copper NRA closure trajectory |
| `copperNraClosureTrajectory.inseeCode` | string | read-only | INSEE code |
| `copperNraClosureTrajectory.lot` | string | read-only | Lot |
| `copperNraClosureTrajectory.nra` | string | read-only | NRA |
| `copperNraClosureTrajectory.operator` | string | read-only | Operator |
| `copperNraClosureTrajectory.referer` | string | read-only | Referer |
| `copperNraClosureTrajectory.technicalClosureDate` | string (date) | read-only | Technical closure date |
| `firstCopperClosure` | xdsl.FirstCopperClosure | read-only | First copper closure details, if applicable |
| `firstCopperClosure.date` | string (date) | read-only | Date |
| `firstCopperClosure.referer` | string | read-only | Referer |
| `firstEligibleDate` | string (date-time) | read-only | First eligible date |
| `grts` | xdsl.GtrEnum[] | read-only | Available GRTs |
| `id` | integer | read-only | Identifier |
| `lastUpdate` | string (date-time) | read-only | Last update date |
| `offer` | xdsl.Offer | read-only | Offer |
| `offer.code` | string | read-only | Offer code |
| `offer.name` | string | read-only | Offer name |
| `provider` | xdsl.Provider | read-only | Provider |
| `provider.code` | string | read-only | Provider code |
| `provider.name` | string | read-only | Provider name |
| `status` | xdsl.FiberEligibilityStatusEnum | read-only | Status — one of `eligible`, `no_building`, `not_eligible`, `not_yet_eligible` |

```json
{
  "availabilityDate": "2024-01-01T12:00:00Z",
  "buildingName": "string",
  "buildingReference": "string",
  "buildingSeqId": 0,
  "copperGridClosureTrajectory": {
    "commercialClosureAnnouncementDate": "2024-01-01",
    "commercialClosureDate": "2024-01-01",
    "commercialClosureInitialDate": "2024-01-01",
    "departmentCode": "string",
    "departmentName": "string",
    "ftthZone": "string",
    "inseeCode": "string",
    "lot": "string",
    "municipalityName": "string",
    "oiCode": "string",
    "oiName": "string",
    "technicalClosureAnnouncementDate": "2024-01-01",
    "technicalClosureDate": "2024-01-01",
    "technicalClosureInitialDate": "2024-01-01"
  },
  "copperNraClosureTrajectory": {
    "inseeCode": "string",
    "lot": "string",
    "nra": "string",
    "operator": "string",
    "referer": "string",
    "technicalClosureDate": "2024-01-01"
  },
  "firstCopperClosure": {
    "date": "2024-01-01",
    "referer": "string"
  },
  "firstEligibleDate": "2024-01-01T12:00:00Z",
  "grts": [
    "10ho"
  ],
  "id": 0,
  "lastUpdate": "2024-01-01T12:00:00Z",
  "offer": {
    "code": "string",
    "name": "string"
  },
  "provider": {
    "code": "string",
    "name": "string"
  },
  "status": "eligible"
}
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/fiberEligibilities/{id}" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/xdsl/{serviceName}/fiberEligibilities/{id}")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/xdsl/{serviceName}/fiberEligibilities/{id}");

print_r($result);
?>
```

## Get the status of the order of this access

`GET /1.0/xdsl/{serviceName}/orderFollowup`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/internet/access/order-installation/#get-xdsl-servicename-orderfollowup

**Status:** Deprecated, will be removed  
**Deprecated** since 2026-09-29, removed on 2027-01-01; use `/pack/xdsl/{packName}/orderFollowup` instead.  
**IAM actions:** `xdsl:apiovh:orderFollowup/get`

**Deprecated**: use `/pack/xdsl/{packName}/orderFollowup` instead. This endpoint will be deleted on 2027-01-01.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | string | yes | Service name |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | xdsl.orderFollowup.Step[] | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `comments` | string[] | read-only |  |
| `doneDate` | string (date-time) | read-only |  |
| `durationUnit` | xdsl.orderFollowup.DurationUnitEnum | read-only | The duration units — one of `day`, `hour`, `minute` |
| `expectedDuration` | integer | read-only |  |
| `name` | xdsl.orderFollowup.StepNameEnum | read-only | The status of an order step — one of `accessIsOperational`, `checkInfrastructure`, `configureAccessOnOVH`, `orderPayed`, `orderReceived`, `orderTreatment`, `sendModem`, `sendOrderToProvider`, `setupCustomerPremisesEquipment`, `waitingForProviderInstallReport`, `waitingForWithdrawalPeriodToBeOver` |
| `status` | xdsl.orderFollowup.StepStatusEnum | read-only | The status of an order step — one of `doing`, `done`, `error`, `todo`, `waitingCustomer` |

```json
[
  {
    "comments": [
      "string"
    ],
    "doneDate": "2024-01-01T12:00:00Z",
    "durationUnit": "day",
    "expectedDuration": 0,
    "name": "accessIsOperational",
    "status": "doing"
  }
]
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/orderFollowup" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/xdsl/{serviceName}/orderFollowup")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/xdsl/{serviceName}/orderFollowup");

print_r($result);
?>
```

## Book an installation meeting

`POST /1.0/xdsl/{serviceName}/orderMeeting`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/internet/access/order-installation/#bookMeeting

**Status:** Stable production version  
**IAM actions:** `xdsl:apiovh:orderMeeting/create`

Books one of the time slots returned by searchOrderMeetings for the access and relaunches its order.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | string | yes | Service name |

### Request body (required)

Type: `xdsl.orderMeeting.post`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `endDate` | string (date-time) | yes | Meeting end date |
| `startDate` | string (date-time) | yes | Meeting start date |
| `uiCode` | string | yes | Meeting ui code ( code linked to the meeting returned by POST /xdsl/{serviceName}/orderMeetings ) |

```json
{
  "endDate": "2024-01-01T12:00:00Z",
  "startDate": "2024-01-01T12:00:00Z",
  "uiCode": "string"
}
```

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | — | successful operation |

### Example

```bash
curl -X POST \
  "https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/orderMeeting" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN" \
  -H "content-type: application/json" \
  -d '{ }'
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

# Request body type: xdsl.orderMeeting.post
result = client.post("/xdsl/{serviceName}/orderMeeting",
	endDate = None, # Meeting end date (type: string)
	startDate = None, # Meeting start date (type: string)
	uiCode = None, # Meeting ui code ( code linked to the meeting returned by POST /xdsl/{serviceName}/orderMeetings ) (type: string)
)

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

// Request body type: xdsl.orderMeeting.post
$result = $ovh->post("/xdsl/{serviceName}/orderMeeting", array(
	endDate => null, // Meeting end date (type: string)
	startDate => null, // Meeting start date (type: string)
	uiCode => null, // Meeting ui code ( code linked to the meeting returned by POST /xdsl/{serviceName}/orderMeetings ) (type: string)
));

print_r($result);
?>
```

## Search the installation meeting slots of an order

`POST /1.0/xdsl/{serviceName}/searchOrderMeetings`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/internet/access/order-installation/#post-xdsl-servicename-searchordermeetings

**Status:** Stable production version  
**IAM actions:** `xdsl:apiovh:searchOrderMeetings`

Returns, as an asynchronous task, the available time slots for the line creation meeting of the access order.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | string | yes | Service name |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | xdsl.AsyncTask_connectivity.eligibility.Meetings | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `error` | string | read-only |  |
| `result` | connectivity.eligibility.Meetings | read-only | List of available meeting time slots |
| `result.canBookFakeMeeting` | boolean | read-only | Whether or not it is possible to book a fake meeting |
| `result.capacities` | connectivity.eligibility.MeetingCapacities | read-only | Represents meeting booking options |
| `result.capacities.eRdv` | boolean | read-only | Whether or not it is possible to book a meeting online |
| `result.capacities.phoneCall` | boolean | read-only | Whether or not it is possible to be be called by phone to book a meeting |
| `result.meetingSlots` | connectivity.eligibility.MeetingSlot[] | read-only | A time slot |
| `result.meetingSlots[].endDate` | string (date-time) | read-only | End date |
| `result.meetingSlots[].slotId` | string | read-only | Represent a meeting id for a fiber collect operator |
| `result.meetingSlots[].startDate` | string (date-time) | read-only | Start date |
| `result.meetingSlots[].uiCode` | string | read-only | An opaque string that represents an intervention unit |
| `status` | xdsl.AsyncTaskStatusEnum | read-only | AsyncTask status — one of `error`, `ok`, `pending` |

```json
{
  "error": "string",
  "result": {
    "canBookFakeMeeting": true,
    "capacities": {
      "eRdv": true,
      "phoneCall": true
    },
    "meetingSlots": [
      {
        "endDate": "2024-01-01T12:00:00Z",
        "slotId": "string",
        "startDate": "2024-01-01T12:00:00Z",
        "uiCode": "string"
      }
    ]
  },
  "status": "error"
}
```

### Example

```bash
curl -X POST \
  "https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/searchOrderMeetings" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.post("/xdsl/{serviceName}/searchOrderMeetings")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->post("/xdsl/{serviceName}/searchOrderMeetings");

print_r($result);
?>
```

## Unlock an order waiting for the customer

`POST /1.0/xdsl/{serviceName}/sendOrderToProvider`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/internet/access/order-installation/#post-xdsl-servicename-sendordertoprovider

**Status:** Stable production version  
**IAM actions:** `xdsl:apiovh:sendOrderToProvider`

Sends to the provider an order in waitingCustomer status. Only applies to orders whose modem was sent before anything was forwarded to the provider.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | string | yes | Service name |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | — | successful operation |

### Example

```bash
curl -X POST \
  "https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/sendOrderToProvider" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.post("/xdsl/{serviceName}/sendOrderToProvider")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->post("/xdsl/{serviceName}/sendOrderToProvider");

print_r($result);
?>
```

## Update the RIO of an order

`POST /1.0/xdsl/{serviceName}/updateInvalidOrMissingRio`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/internet/access/order-installation/#updateRIO

**Status:** Stable production version  
**IAM actions:** `xdsl:apiovh:updateInvalidOrMissingRio`

Sets the RIO code of an order in error because of a missing or invalid RIO, or relaunches the order without number portability.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | string | yes | Service name |

### Request body (required)

Type: `xdsl.updateInvalidOrMissingRio.post`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `relaunchWithoutPortability` | boolean | yes | Do not set RIO, and relaunch order without portability |
| `rio` | string |  | RIO number for portability |

```json
{
  "relaunchWithoutPortability": true,
  "rio": "string"
}
```

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | — | successful operation |

### Example

```bash
curl -X POST \
  "https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/updateInvalidOrMissingRio" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN" \
  -H "content-type: application/json" \
  -d '{ }'
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

# Request body type: xdsl.updateInvalidOrMissingRio.post
result = client.post("/xdsl/{serviceName}/updateInvalidOrMissingRio",
	relaunchWithoutPortability = None, # Do not set RIO, and relaunch order without portability (type: boolean)
	rio = None, # RIO number for portability (type: string)
)

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

// Request body type: xdsl.updateInvalidOrMissingRio.post
$result = $ovh->post("/xdsl/{serviceName}/updateInvalidOrMissingRio", array(
	relaunchWithoutPortability => null, // Do not set RIO, and relaunch order without portability (type: boolean)
	rio => null, // RIO number for portability (type: string)
));

print_r($result);
?>
```
